scala.tools.nsc.ast.TreeBrowsers

# TextInfoPanel

###
Related Doc: package TreeBrowsers

#### class TextInfoPanel extends JTextArea

Present detailed information about the selected tree node.

Source
  TreeBrowsers.scala

Linear Supertypes
JTextArea, JTextComponent, Accessible, Scrollable, JComponent, HasGetTransferHandler, Container, Component, java.io.Serializable, MenuContainer, ImageObserver, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TextInfoPanel
2. JTextArea
3. JTextComponent
4. Accessible
5. Scrollable
6. JComponent
7. HasGetTransferHandler
8. Container
9. Component
10. Serializable
11. MenuContainer
12. ImageObserver
13. AnyRef
14. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TextInfoPanel()

### Type Members

1. #### abstract class AccessibleAWTComponent extends AccessibleContext with java.io.Serializable with AccessibleComponent

   Attributes
     protected
   Definition Classes
     Component

2. #### class AccessibleAWTContainer extends AccessibleAWTComponent

   Attributes
     protected
   Definition Classes
     Container

3. #### abstract class AccessibleJComponent extends AccessibleAWTContainer with AccessibleExtendedComponent

   Definition Classes
     JComponent

4. #### class AccessibleJTextArea extends AccessibleJTextComponent

   Attributes
     protected
   Definition Classes
     JTextArea

5. #### class AccessibleJTextComponent extends AccessibleJComponent with AccessibleText with CaretListener with DocumentListener with AccessibleAction with AccessibleEditableText with AccessibleExtendedText

   Definition Classes
     JTextComponent

6. #### final class ActionStandin extends Action

   Attributes
     private[javax.swing]
   Definition Classes
     JComponent

7. #### class BltBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

8. #### class ComposedTextCaret extends DefaultCaret with java.io.Serializable

   Attributes
     private[javax.swing.text]
   Definition Classes
     JTextComponent

9. #### class FlipBufferStrategy extends BufferStrategy

   Attributes
     protected
   Definition Classes
     Component

10. #### class InputMethodRequestsHandler extends InputMethodRequests with DocumentListener

    Attributes
      private[javax.swing.text]
    Definition Classes
      JTextComponent

11. #### final class NativeInLightFixer extends ComponentListener with ContainerListener

    Attributes
      private[java.awt]
    Definition Classes
      Component

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TextInfoPanel to any2stringadd[TextInfoPanel] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TextInfoPanel, B)

   Implicit information
     This member is added by an implicit conversion from TextInfoPanel to ArrowAssoc[TextInfoPanel] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### def add(arg0: Component, arg1: Any, arg2: Int): Unit

   Definition Classes
     Container

7. #### def add(arg0: Component, arg1: Any): Unit

   Definition Classes
     Container

8. #### def add(arg0: Component, arg1: Int): Component

   Definition Classes
     Container

9. #### def add(arg0: String, arg1: Component): Component

   Definition Classes
     Container

10. #### def add(arg0: Component): Component

    Definition Classes
      Container

11. #### def add(arg0: PopupMenu): Unit

    Definition Classes
      Component

12. #### def addAncestorListener(arg0: AncestorListener): Unit

    Definition Classes
      JComponent

13. #### def addCaretListener(arg0: CaretListener): Unit

    Definition Classes
      JTextComponent

14. #### def addComponentListener(arg0: ComponentListener): Unit

    Definition Classes
      Component

15. #### def addContainerListener(arg0: ContainerListener): Unit

    Definition Classes
      Container

16. #### def addFocusListener(arg0: FocusListener): Unit

    Definition Classes
      Component

17. #### def addHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

    Definition Classes
      Component

18. #### def addHierarchyListener(arg0: HierarchyListener): Unit

    Definition Classes
      Component

19. #### def addImpl(arg0: Component, arg1: Any, arg2: Int): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Container

20. #### def addInputMethodListener(arg0: InputMethodListener): Unit

    Definition Classes
      JTextComponent → Component

21. #### def addKeyListener(arg0: KeyListener): Unit

    Definition Classes
      Component

22. #### def addMouseListener(arg0: MouseListener): Unit

    Definition Classes
      Component

23. #### def addMouseMotionListener(arg0: MouseMotionListener): Unit

    Definition Classes
      Component

24. #### def addMouseWheelListener(arg0: MouseWheelListener): Unit

    Definition Classes
      Component

25. #### def addNotify(): Unit

    Definition Classes
      JComponent → Container → Component

26. #### def addPropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

27. #### def addPropertyChangeListener(arg0: PropertyChangeListener): Unit

    Definition Classes
      Container → Component

28. #### def addVetoableChangeListener(arg0: VetoableChangeListener): Unit

    Definition Classes
      JComponent

29. #### def append(arg0: String): Unit

    Definition Classes
      JTextArea

30. #### def applyComponentOrientation(arg0: ComponentOrientation): Unit

    Definition Classes
      Container → Component

31. #### def areFocusTraversalKeysSet(arg0: Int): Boolean

    Definition Classes
      Container → Component

32. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

33. #### def checkImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Int

    Definition Classes
      Component

34. #### def checkImage(arg0: Image, arg1: ImageObserver): Int

    Definition Classes
      Component

35. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

36. #### def coalesceEvents(arg0: AWTEvent, arg1: AWTEvent): AWTEvent

    Attributes
      protected[java.awt]
    Definition Classes
      Component

37. #### def computeVisibleRect(arg0: Rectangle): Unit

    Definition Classes
      JComponent

38. #### def contains(arg0: Int, arg1: Int): Boolean

    Definition Classes
      JComponent → Component

39. #### def contains(arg0: Point): Boolean

    Definition Classes
      Component

40. #### def copy(): Unit

    Definition Classes
      JTextComponent

41. #### def createDefaultModel(): Document

    Attributes
      protected[javax.swing]
    Definition Classes
      JTextArea

42. #### def createImage(arg0: Int, arg1: Int): Image

    Definition Classes
      Component

43. #### def createImage(arg0: ImageProducer): Image

    Definition Classes
      Component

44. #### def createToolTip(): JToolTip

    Definition Classes
      JComponent

45. #### def createVolatileImage(arg0: Int, arg1: Int, arg2: ImageCapabilities): VolatileImage

    Definition Classes
      Component
    Annotations
      @throws( classOf[java.awt.AWTException] )

46. #### def createVolatileImage(arg0: Int, arg1: Int): VolatileImage

    Definition Classes
      Component

47. #### def cut(): Unit

    Definition Classes
      JTextComponent

48. #### final def disableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

49. #### final def dispatchEvent(arg0: AWTEvent): Unit

    Definition Classes
      Component

50. #### def doLayout(): Unit

    Definition Classes
      Container → Component

51. #### final def enableEvents(arg0: Long): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

52. #### def enableInputMethods(arg0: Boolean): Unit

    Definition Classes
      Component

53. #### def ensuring(cond: (TextInfoPanel) ⇒ Boolean, msg: ⇒ Any): TextInfoPanel

    Implicit information
      This member is added by an implicit conversion from TextInfoPanel to Ensuring[TextInfoPanel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

54. #### def ensuring(cond: (TextInfoPanel) ⇒ Boolean): TextInfoPanel

    Implicit information
      This member is added by an implicit conversion from TextInfoPanel to Ensuring[TextInfoPanel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

55. #### def ensuring(cond: Boolean, msg: ⇒ Any): TextInfoPanel

    Implicit information
      This member is added by an implicit conversion from TextInfoPanel to Ensuring[TextInfoPanel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

56. #### def ensuring(cond: Boolean): TextInfoPanel

    Implicit information
      This member is added by an implicit conversion from TextInfoPanel to Ensuring[TextInfoPanel] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

57. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

58. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

59. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

60. #### def findComponentAt(arg0: Point): Component

    Definition Classes
      Container

61. #### def findComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container

62. #### def fireCaretUpdate(arg0: CaretEvent): Unit

    Attributes
      protected[javax.swing.text]
    Definition Classes
      JTextComponent

63. #### def firePropertyChange(arg0: String, arg1: Char, arg2: Char): Unit

    Definition Classes
      JComponent → Component

64. #### def firePropertyChange(arg0: String, arg1: Int, arg2: Int): Unit

    Definition Classes
      JComponent → Component

65. #### def firePropertyChange(arg0: String, arg1: Boolean, arg2: Boolean): Unit

    Definition Classes
      JComponent → Component

66. #### def firePropertyChange(arg0: String, arg1: Double, arg2: Double): Unit

    Definition Classes
      Component

67. #### def firePropertyChange(arg0: String, arg1: Float, arg2: Float): Unit

    Definition Classes
      Component

68. #### def firePropertyChange(arg0: String, arg1: Long, arg2: Long): Unit

    Definition Classes
      Component

69. #### def firePropertyChange(arg0: String, arg1: Short, arg2: Short): Unit

    Definition Classes
      Component

70. #### def firePropertyChange(arg0: String, arg1: Byte, arg2: Byte): Unit

    Definition Classes
      Component

71. #### def firePropertyChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[java.awt]
    Definition Classes
      Component

72. #### def fireVetoableChange(arg0: String, arg1: Any, arg2: Any): Unit

    Attributes
      protected[javax.swing]
    Definition Classes
      JComponent
    Annotations
      @throws( ... )

73. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TextInfoPanel to StringFormat[TextInfoPanel] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

74. #### def getAccessibleContext(): AccessibleContext

    Definition Classes
      JTextArea → JTextComponent → Accessible → JComponent → Component

75. #### def getActionForKeyStroke(arg0: KeyStroke): ActionListener

    Definition Classes
      JComponent

76. #### final def getActionMap(): ActionMap

    Definition Classes
      JComponent

77. #### def getActions(): Array[Action]

    Definition Classes
      JTextComponent

78. #### def getAlignmentX(): Float

    Definition Classes
      JComponent → Container → Component

79. #### def getAlignmentY(): Float

    Definition Classes
      JComponent → Container → Component

80. #### def getAncestorListeners(): Array[AncestorListener]

    Definition Classes
      JComponent

81. #### def getAutoscrolls(): Boolean

    Definition Classes
      JComponent

82. #### def getBackground(): Color

    Definition Classes
      Component

83. #### def getBaseline(arg0: Int, arg1: Int): Int

    Definition Classes
      JComponent → Component

84. #### def getBaselineResizeBehavior(): BaselineResizeBehavior

    Definition Classes
      JComponent → Component

85. #### def getBorder(): Border

    Definition Classes
      JComponent

86. #### def getBounds(arg0: Rectangle): Rectangle

    Definition Classes
      JComponent → Component

87. #### def getBounds(): Rectangle

    Definition Classes
      Component

88. #### def getCaret(): Caret

    Definition Classes
      JTextComponent

89. #### def getCaretColor(): Color

    Definition Classes
      JTextComponent

90. #### def getCaretListeners(): Array[CaretListener]

    Definition Classes
      JTextComponent

91. #### def getCaretPosition(): Int

    Definition Classes
      JTextComponent

92. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

93. #### final def getClientProperty(arg0: Any): AnyRef

    Definition Classes
      JComponent

94. #### def getColorModel(): ColorModel

    Definition Classes
      Component

95. #### def getColumnWidth(): Int

    Attributes
      protected[javax.swing]
    Definition Classes
      JTextArea

96. #### def getColumns(): Int

    Definition Classes
      JTextArea

97. #### def getComponent(arg0: Int): Component

    Definition Classes
      Container

98. #### def getComponentAt(arg0: Point): Component

    Definition Classes
      Container → Component

99. #### def getComponentAt(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component

100. #### def getComponentCount(): Int

     Definition Classes
       Container

101. #### def getComponentGraphics(arg0: Graphics): Graphics

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

102. #### def getComponentListeners(): Array[ComponentListener]

     Definition Classes
       Component

103. #### def getComponentOrientation(): ComponentOrientation

     Definition Classes
       Component

104. #### def getComponentPopupMenu(): JPopupMenu

     Definition Classes
       JComponent

105. #### def getComponentZOrder(arg0: Component): Int

     Definition Classes
       Container

106. #### def getComponents(): Array[Component]

     Definition Classes
       Container

107. #### def getConditionForKeyStroke(arg0: KeyStroke): Int

     Definition Classes
       JComponent

108. #### def getContainerListeners(): Array[ContainerListener]

     Definition Classes
       Container

109. #### def getCursor(): Cursor

     Definition Classes
       Component

110. #### def getDebugGraphicsOptions(): Int

     Definition Classes
       JComponent

111. #### def getDisabledTextColor(): Color

     Definition Classes
       JTextComponent

112. #### def getDocument(): Document

     Definition Classes
       JTextComponent

113. #### def getDragEnabled(): Boolean

     Definition Classes
       JTextComponent

114. #### final def getDropLocation(): DropLocation

     Definition Classes
       JTextComponent

115. #### final def getDropMode(): DropMode

     Definition Classes
       JTextComponent

116. #### def getDropTarget(): DropTarget

     Definition Classes
       Component

117. #### def getFocusAccelerator(): Char

     Definition Classes
       JTextComponent

118. #### def getFocusCycleRootAncestor(): Container

     Definition Classes
       Component

119. #### def getFocusListeners(): Array[FocusListener]

     Definition Classes
       Component

120. #### def getFocusTraversalKeys(arg0: Int): Set[AWTKeyStroke]

     Definition Classes
       Container → Component

121. #### def getFocusTraversalKeysEnabled(): Boolean

     Definition Classes
       Component

122. #### def getFocusTraversalPolicy(): FocusTraversalPolicy

     Definition Classes
       Container

123. #### def getFont(): Font

     Definition Classes
       Component → MenuContainer

124. #### def getFontMetrics(arg0: Font): FontMetrics

     Definition Classes
       JComponent → Component

125. #### def getForeground(): Color

     Definition Classes
       Component

126. #### def getGraphics(): Graphics

     Definition Classes
       JComponent → Component

127. #### def getGraphicsConfiguration(): GraphicsConfiguration

     Definition Classes
       Component

128. #### def getHeight(): Int

     Definition Classes
       JComponent → Component

129. #### def getHierarchyBoundsListeners(): Array[HierarchyBoundsListener]

     Definition Classes
       Component

130. #### def getHierarchyListeners(): Array[HierarchyListener]

     Definition Classes
       Component

131. #### def getHighlighter(): Highlighter

     Definition Classes
       JTextComponent

132. #### def getIgnoreRepaint(): Boolean

     Definition Classes
       Component

133. #### def getInheritsPopupMenu(): Boolean

     Definition Classes
       JComponent

134. #### def getInputContext(): InputContext

     Definition Classes
       Component

135. #### final def getInputMap(): InputMap

     Definition Classes
       JComponent

136. #### final def getInputMap(arg0: Int): InputMap

     Definition Classes
       JComponent

137. #### def getInputMethodListeners(): Array[InputMethodListener]

     Definition Classes
       Component

138. #### def getInputMethodRequests(): InputMethodRequests

     Definition Classes
       JTextComponent → Component

139. #### def getInputVerifier(): InputVerifier

     Definition Classes
       JComponent

140. #### def getInsets(arg0: Insets): Insets

     Definition Classes
       JComponent

141. #### def getInsets(): Insets

     Definition Classes
       JComponent → Container

142. #### def getKeyListeners(): Array[KeyListener]

     Definition Classes
       Component

143. #### def getKeymap(): Keymap

     Definition Classes
       JTextComponent

144. #### def getLayout(): LayoutManager

     Definition Classes
       Container

145. #### def getLineCount(): Int

     Definition Classes
       JTextArea

146. #### def getLineEndOffset(arg0: Int): Int

     Definition Classes
       JTextArea
     Annotations
       @throws( ... )

147. #### def getLineOfOffset(arg0: Int): Int

     Definition Classes
       JTextArea
     Annotations
       @throws( ... )

148. #### def getLineStartOffset(arg0: Int): Int

     Definition Classes
       JTextArea
     Annotations
       @throws( ... )

149. #### def getLineWrap(): Boolean

     Definition Classes
       JTextArea

150. #### def getListeners[T <: EventListener](arg0: Class[T]): Array[T]

     Definition Classes
       JComponent → Container → Component

151. #### def getLocale(): Locale

     Definition Classes
       Component

152. #### def getLocation(arg0: Point): Point

     Definition Classes
       JComponent → Component

153. #### def getLocation(): Point

     Definition Classes
       Component

154. #### def getLocationOnScreen(): Point

     Definition Classes
       Component

155. #### def getMargin(): Insets

     Definition Classes
       JTextComponent

156. #### def getMaximumSize(): Dimension

     Definition Classes
       JComponent → Container → Component

157. #### def getMinimumSize(): Dimension

     Definition Classes
       JComponent → Container → Component

158. #### def getMouseListeners(): Array[MouseListener]

     Definition Classes
       Component

159. #### def getMouseMotionListeners(): Array[MouseMotionListener]

     Definition Classes
       Component

160. #### def getMousePosition(arg0: Boolean): Point

     Definition Classes
       Container
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

161. #### def getMousePosition(): Point

     Definition Classes
       Component
     Annotations
       @throws( classOf[java.awt.HeadlessException] )

162. #### def getMouseWheelListeners(): Array[MouseWheelListener]

     Definition Classes
       Component

163. #### def getName(): String

     Definition Classes
       Component

164. #### def getNavigationFilter(): NavigationFilter

     Definition Classes
       JTextComponent

165. #### def getParent(): Container

     Definition Classes
       Component

166. #### def getPopupLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

167. #### def getPreferredScrollableViewportSize(): Dimension

     Definition Classes
       JTextArea → JTextComponent → Scrollable

168. #### def getPreferredSize(): Dimension

     Definition Classes
       JTextArea → JComponent → Container → Component

169. #### def getPrintable(arg0: MessageFormat, arg1: MessageFormat): Printable

     Definition Classes
       JTextComponent

170. #### def getPropertyChangeListeners(arg0: String): Array[PropertyChangeListener]

     Definition Classes
       Component

171. #### def getPropertyChangeListeners(): Array[PropertyChangeListener]

     Definition Classes
       Component

172. #### def getRegisteredKeyStrokes(): Array[KeyStroke]

     Definition Classes
       JComponent

173. #### def getRootPane(): JRootPane

     Definition Classes
       JComponent

174. #### def getRowHeight(): Int

     Attributes
       protected[javax.swing]
     Definition Classes
       JTextArea

175. #### def getRows(): Int

     Definition Classes
       JTextArea

176. #### def getScrollableBlockIncrement(arg0: Rectangle, arg1: Int, arg2: Int): Int

     Definition Classes
       JTextComponent → Scrollable

177. #### def getScrollableTracksViewportHeight(): Boolean

     Definition Classes
       JTextComponent → Scrollable

178. #### def getScrollableTracksViewportWidth(): Boolean

     Definition Classes
       JTextArea → JTextComponent → Scrollable

179. #### def getScrollableUnitIncrement(arg0: Rectangle, arg1: Int, arg2: Int): Int

     Definition Classes
       JTextArea → JTextComponent → Scrollable

180. #### def getSelectedText(): String

     Definition Classes
       JTextComponent

181. #### def getSelectedTextColor(): Color

     Definition Classes
       JTextComponent

182. #### def getSelectionColor(): Color

     Definition Classes
       JTextComponent

183. #### def getSelectionEnd(): Int

     Definition Classes
       JTextComponent

184. #### def getSelectionStart(): Int

     Definition Classes
       JTextComponent

185. #### def getSize(arg0: Dimension): Dimension

     Definition Classes
       JComponent → Component

186. #### def getSize(): Dimension

     Definition Classes
       Component

187. #### def getTabSize(): Int

     Definition Classes
       JTextArea

188. #### def getText(): String

     Definition Classes
       JTextComponent

189. #### def getText(arg0: Int, arg1: Int): String

     Definition Classes
       JTextComponent
     Annotations
       @throws( ... )

190. #### def getToolTipLocation(arg0: MouseEvent): Point

     Definition Classes
       JComponent

191. #### def getToolTipText(arg0: MouseEvent): String

     Definition Classes
       JTextComponent → JComponent

192. #### def getToolTipText(): String

     Definition Classes
       JComponent

193. #### def getToolkit(): Toolkit

     Definition Classes
       Component

194. #### def getTopLevelAncestor(): Container

     Definition Classes
       JComponent

195. #### def getTransferHandler(): TransferHandler

     Definition Classes
       JComponent → HasGetTransferHandler

196. #### final def getTreeLock(): AnyRef

     Definition Classes
       Component

197. #### def getUI(): TextUI

     Definition Classes
       JTextComponent

198. #### def getUIClassID(): String

     Definition Classes
       JTextArea → JComponent

199. #### def getVerifyInputWhenFocusTarget(): Boolean

     Definition Classes
       JComponent

200. #### def getVetoableChangeListeners(): Array[VetoableChangeListener]

     Definition Classes
       JComponent

201. #### def getVisibleRect(): Rectangle

     Definition Classes
       JComponent

202. #### def getWidth(): Int

     Definition Classes
       JComponent → Component

203. #### def getWrapStyleWord(): Boolean

     Definition Classes
       JTextArea

204. #### def getX(): Int

     Definition Classes
       JComponent → Component

205. #### def getY(): Int

     Definition Classes
       JComponent → Component

206. #### def grabFocus(): Unit

     Definition Classes
       JComponent

207. #### def hasFocus(): Boolean

     Definition Classes
       Component

208. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

209. #### def imageUpdate(arg0: Image, arg1: Int, arg2: Int, arg3: Int, arg4: Int, arg5: Int): Boolean

     Definition Classes
       Component → ImageObserver

210. #### def insert(arg0: String, arg1: Int): Unit

     Definition Classes
       JTextArea

211. #### def invalidate(): Unit

     Definition Classes
       Container → Component

212. #### def isAncestorOf(arg0: Component): Boolean

     Definition Classes
       Container

213. #### def isBackgroundSet(): Boolean

     Definition Classes
       Component

214. #### def isCursorSet(): Boolean

     Definition Classes
       Component

215. #### def isDisplayable(): Boolean

     Definition Classes
       Component

216. #### def isDoubleBuffered(): Boolean

     Definition Classes
       JComponent → Component

217. #### def isEditable(): Boolean

     Definition Classes
       JTextComponent

218. #### def isEnabled(): Boolean

     Definition Classes
       Component

219. #### def isFocusCycleRoot(): Boolean

     Definition Classes
       Container

220. #### def isFocusCycleRoot(arg0: Container): Boolean

     Definition Classes
       Container → Component

221. #### def isFocusOwner(): Boolean

     Definition Classes
       Component

222. #### final def isFocusTraversalPolicyProvider(): Boolean

     Definition Classes
       Container

223. #### def isFocusTraversalPolicySet(): Boolean

     Definition Classes
       Container

224. #### def isFocusable(): Boolean

     Definition Classes
       Component

225. #### def isFontSet(): Boolean

     Definition Classes
       Component

226. #### def isForegroundSet(): Boolean

     Definition Classes
       Component

227. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

228. #### def isLightweight(): Boolean

     Definition Classes
       Component

229. #### def isMaximumSizeSet(): Boolean

     Definition Classes
       Component

230. #### def isMinimumSizeSet(): Boolean

     Definition Classes
       Component

231. #### def isOpaque(): Boolean

     Definition Classes
       JComponent → Component

232. #### def isOptimizedDrawingEnabled(): Boolean

     Definition Classes
       JComponent

233. #### final def isPaintingForPrint(): Boolean

     Definition Classes
       JComponent

234. #### def isPaintingTile(): Boolean

     Definition Classes
       JComponent

235. #### def isPreferredSizeSet(): Boolean

     Definition Classes
       Component

236. #### def isRequestFocusEnabled(): Boolean

     Definition Classes
       JComponent

237. #### def isShowing(): Boolean

     Definition Classes
       Component

238. #### def isValid(): Boolean

     Definition Classes
       Component

239. #### def isValidateRoot(): Boolean

     Definition Classes
       JComponent

240. #### def isVisible(): Boolean

     Definition Classes
       Component

241. #### def list(arg0: PrintWriter, arg1: Int): Unit

     Definition Classes
       Container → Component

242. #### def list(arg0: PrintStream, arg1: Int): Unit

     Definition Classes
       Container → Component

243. #### def list(arg0: PrintWriter): Unit

     Definition Classes
       Component

244. #### def list(arg0: PrintStream): Unit

     Definition Classes
       Component

245. #### def list(): Unit

     Definition Classes
       Component

246. #### def modelToView(arg0: Int): Rectangle

     Definition Classes
       JTextComponent
     Annotations
       @throws( ... )

247. #### def moveCaretPosition(arg0: Int): Unit

     Definition Classes
       JTextComponent

248. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

249. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

250. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

251. #### def paint(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

252. #### def paintAll(arg0: Graphics): Unit

     Definition Classes
       Component

253. #### def paintBorder(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

254. #### def paintChildren(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

255. #### def paintComponent(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

256. #### def paintComponents(arg0: Graphics): Unit

     Definition Classes
       Container

257. #### def paintImmediately(arg0: Rectangle): Unit

     Definition Classes
       JComponent

258. #### def paintImmediately(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       JComponent

259. #### def paramString(): String

     Attributes
       protected[javax.swing]
     Definition Classes
       JTextArea → JTextComponent → JComponent → Container → Component

260. #### def paste(): Unit

     Definition Classes
       JTextComponent

261. #### def prepareImage(arg0: Image, arg1: Int, arg2: Int, arg3: ImageObserver): Boolean

     Definition Classes
       Component

262. #### def prepareImage(arg0: Image, arg1: ImageObserver): Boolean

     Definition Classes
       Component

263. #### def print(arg0: MessageFormat, arg1: MessageFormat, arg2: Boolean, arg3: PrintService, arg4: PrintRequestAttributeSet, arg5: Boolean): Boolean

     Definition Classes
       JTextComponent
     Annotations
       @throws( ... )

264. #### def print(arg0: MessageFormat, arg1: MessageFormat): Boolean

     Definition Classes
       JTextComponent
     Annotations
       @throws( ... )

265. #### def print(): Boolean

     Definition Classes
       JTextComponent
     Annotations
       @throws( ... )

266. #### def print(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

267. #### def printAll(arg0: Graphics): Unit

     Definition Classes
       JComponent → Component

268. #### def printBorder(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

269. #### def printChildren(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

270. #### def printComponent(arg0: Graphics): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

271. #### def printComponents(arg0: Graphics): Unit

     Definition Classes
       Container

272. #### def processComponentEvent(arg0: ComponentEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

273. #### def processComponentKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

274. #### def processContainerEvent(arg0: ContainerEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

275. #### def processEvent(arg0: AWTEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container → Component

276. #### def processFocusEvent(arg0: FocusEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

277. #### def processHierarchyBoundsEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

278. #### def processHierarchyEvent(arg0: HierarchyEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

279. #### def processInputMethodEvent(arg0: InputMethodEvent): Unit

     Attributes
       protected[javax.swing.text]
     Definition Classes
       JTextComponent → Component

280. #### def processKeyBinding(arg0: KeyStroke, arg1: KeyEvent, arg2: Int, arg3: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

281. #### def processKeyEvent(arg0: KeyEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

282. #### def processMouseEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

283. #### def processMouseMotionEvent(arg0: MouseEvent): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

284. #### def processMouseWheelEvent(arg0: MouseWheelEvent): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Component

285. #### final def putClientProperty(arg0: Any, arg1: Any): Unit

     Definition Classes
       JComponent

286. #### def read(arg0: Reader, arg1: Any): Unit

     Definition Classes
       JTextComponent
     Annotations
       @throws( classOf[java.io.IOException] )

287. #### def registerKeyboardAction(arg0: ActionListener, arg1: KeyStroke, arg2: Int): Unit

     Definition Classes
       JComponent

288. #### def registerKeyboardAction(arg0: ActionListener, arg1: String, arg2: KeyStroke, arg3: Int): Unit

     Definition Classes
       JComponent

289. #### def remove(arg0: Component): Unit

     Definition Classes
       Container

290. #### def remove(arg0: Int): Unit

     Definition Classes
       Container

291. #### def remove(arg0: MenuComponent): Unit

     Definition Classes
       Component → MenuContainer

292. #### def removeAll(): Unit

     Definition Classes
       Container

293. #### def removeAncestorListener(arg0: AncestorListener): Unit

     Definition Classes
       JComponent

294. #### def removeCaretListener(arg0: CaretListener): Unit

     Definition Classes
       JTextComponent

295. #### def removeComponentListener(arg0: ComponentListener): Unit

     Definition Classes
       Component

296. #### def removeContainerListener(arg0: ContainerListener): Unit

     Definition Classes
       Container

297. #### def removeFocusListener(arg0: FocusListener): Unit

     Definition Classes
       Component

298. #### def removeHierarchyBoundsListener(arg0: HierarchyBoundsListener): Unit

     Definition Classes
       Component

299. #### def removeHierarchyListener(arg0: HierarchyListener): Unit

     Definition Classes
       Component

300. #### def removeInputMethodListener(arg0: InputMethodListener): Unit

     Definition Classes
       Component

301. #### def removeKeyListener(arg0: KeyListener): Unit

     Definition Classes
       Component

302. #### def removeMouseListener(arg0: MouseListener): Unit

     Definition Classes
       Component

303. #### def removeMouseMotionListener(arg0: MouseMotionListener): Unit

     Definition Classes
       Component

304. #### def removeMouseWheelListener(arg0: MouseWheelListener): Unit

     Definition Classes
       Component

305. #### def removeNotify(): Unit

     Definition Classes
       JTextComponent → JComponent → Container → Component

306. #### def removePropertyChangeListener(arg0: String, arg1: PropertyChangeListener): Unit

     Definition Classes
       Component

307. #### def removePropertyChangeListener(arg0: PropertyChangeListener): Unit

     Definition Classes
       Component

308. #### def removeVetoableChangeListener(arg0: VetoableChangeListener): Unit

     Definition Classes
       JComponent

309. #### def repaint(arg0: Rectangle): Unit

     Definition Classes
       JComponent

310. #### def repaint(arg0: Long, arg1: Int, arg2: Int, arg3: Int, arg4: Int): Unit

     Definition Classes
       JComponent → Component

311. #### def repaint(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

312. #### def repaint(arg0: Long): Unit

     Definition Classes
       Component

313. #### def repaint(): Unit

     Definition Classes
       Component

314. #### def replaceRange(arg0: String, arg1: Int, arg2: Int): Unit

     Definition Classes
       JTextArea

315. #### def replaceSelection(arg0: String): Unit

     Definition Classes
       JTextComponent

316. #### def requestFocus(arg0: Boolean): Boolean

     Definition Classes
       JComponent → Component

317. #### def requestFocus(): Unit

     Definition Classes
       JComponent → Component

318. #### def requestFocusInWindow(arg0: Boolean): Boolean

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent → Component

319. #### def requestFocusInWindow(): Boolean

     Definition Classes
       JComponent → Component

320. #### def resetKeyboardActions(): Unit

     Definition Classes
       JComponent

321. #### def revalidate(): Unit

     Definition Classes
       JComponent

322. #### def scrollRectToVisible(arg0: Rectangle): Unit

     Definition Classes
       JComponent

323. #### def select(arg0: Int, arg1: Int): Unit

     Definition Classes
       JTextComponent

324. #### def selectAll(): Unit

     Definition Classes
       JTextComponent

325. #### final def setActionMap(arg0: ActionMap): Unit

     Definition Classes
       JComponent

326. #### def setAlignmentX(arg0: Float): Unit

     Definition Classes
       JComponent

327. #### def setAlignmentY(arg0: Float): Unit

     Definition Classes
       JComponent

328. #### def setAutoscrolls(arg0: Boolean): Unit

     Definition Classes
       JComponent

329. #### def setBackground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

330. #### def setBorder(arg0: Border): Unit

     Definition Classes
       JComponent

331. #### def setBounds(arg0: Rectangle): Unit

     Definition Classes
       Component

332. #### def setBounds(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

     Definition Classes
       Component

333. #### def setCaret(arg0: Caret): Unit

     Definition Classes
       JTextComponent

334. #### def setCaretColor(arg0: Color): Unit

     Definition Classes
       JTextComponent

335. #### def setCaretPosition(arg0: Int): Unit

     Definition Classes
       JTextComponent

336. #### def setColumns(arg0: Int): Unit

     Definition Classes
       JTextArea

337. #### def setComponentOrientation(arg0: ComponentOrientation): Unit

     Definition Classes
       JTextComponent → Component

338. #### def setComponentPopupMenu(arg0: JPopupMenu): Unit

     Definition Classes
       JComponent

339. #### def setComponentZOrder(arg0: Component, arg1: Int): Unit

     Definition Classes
       Container

340. #### def setCursor(arg0: Cursor): Unit

     Definition Classes
       Component

341. #### def setDebugGraphicsOptions(arg0: Int): Unit

     Definition Classes
       JComponent

342. #### def setDisabledTextColor(arg0: Color): Unit

     Definition Classes
       JTextComponent

343. #### def setDocument(arg0: Document): Unit

     Definition Classes
       JTextComponent

344. #### def setDoubleBuffered(arg0: Boolean): Unit

     Definition Classes
       JComponent

345. #### def setDragEnabled(arg0: Boolean): Unit

     Definition Classes
       JTextComponent

346. #### final def setDropMode(arg0: DropMode): Unit

     Definition Classes
       JTextComponent

347. #### def setDropTarget(arg0: DropTarget): Unit

     Definition Classes
       Component

348. #### def setEditable(arg0: Boolean): Unit

     Definition Classes
       JTextComponent

349. #### def setEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

350. #### def setFocusAccelerator(arg0: Char): Unit

     Definition Classes
       JTextComponent

351. #### def setFocusCycleRoot(arg0: Boolean): Unit

     Definition Classes
       Container

352. #### def setFocusTraversalKeys(arg0: Int, arg1: Set[_ <: AWTKeyStroke]): Unit

     Definition Classes
       JComponent → Container → Component

353. #### def setFocusTraversalKeysEnabled(arg0: Boolean): Unit

     Definition Classes
       Component

354. #### def setFocusTraversalPolicy(arg0: FocusTraversalPolicy): Unit

     Definition Classes
       Container

355. #### final def setFocusTraversalPolicyProvider(arg0: Boolean): Unit

     Definition Classes
       Container

356. #### def setFocusable(arg0: Boolean): Unit

     Definition Classes
       Component

357. #### def setFont(arg0: Font): Unit

     Definition Classes
       JTextArea → JComponent → Container → Component

358. #### def setForeground(arg0: Color): Unit

     Definition Classes
       JComponent → Component

359. #### def setHighlighter(arg0: Highlighter): Unit

     Definition Classes
       JTextComponent

360. #### def setIgnoreRepaint(arg0: Boolean): Unit

     Definition Classes
       Component

361. #### def setInheritsPopupMenu(arg0: Boolean): Unit

     Definition Classes
       JComponent

362. #### final def setInputMap(arg0: Int, arg1: InputMap): Unit

     Definition Classes
       JComponent

363. #### def setInputVerifier(arg0: InputVerifier): Unit

     Definition Classes
       JComponent

364. #### def setKeymap(arg0: Keymap): Unit

     Definition Classes
       JTextComponent

365. #### def setLayout(arg0: LayoutManager): Unit

     Definition Classes
       Container

366. #### def setLineWrap(arg0: Boolean): Unit

     Definition Classes
       JTextArea

367. #### def setLocale(arg0: Locale): Unit

     Definition Classes
       Component

368. #### def setLocation(arg0: Point): Unit

     Definition Classes
       Component

369. #### def setLocation(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

370. #### def setMargin(arg0: Insets): Unit

     Definition Classes
       JTextComponent

371. #### def setMaximumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

372. #### def setMinimumSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

373. #### def setName(arg0: String): Unit

     Definition Classes
       Component

374. #### def setNavigationFilter(arg0: NavigationFilter): Unit

     Definition Classes
       JTextComponent

375. #### def setOpaque(arg0: Boolean): Unit

     Definition Classes
       JComponent

376. #### def setPreferredSize(arg0: Dimension): Unit

     Definition Classes
       JComponent → Component

377. #### def setRequestFocusEnabled(arg0: Boolean): Unit

     Definition Classes
       JComponent

378. #### def setRows(arg0: Int): Unit

     Definition Classes
       JTextArea

379. #### def setSelectedTextColor(arg0: Color): Unit

     Definition Classes
       JTextComponent

380. #### def setSelectionColor(arg0: Color): Unit

     Definition Classes
       JTextComponent

381. #### def setSelectionEnd(arg0: Int): Unit

     Definition Classes
       JTextComponent

382. #### def setSelectionStart(arg0: Int): Unit

     Definition Classes
       JTextComponent

383. #### def setSize(arg0: Dimension): Unit

     Definition Classes
       Component

384. #### def setSize(arg0: Int, arg1: Int): Unit

     Definition Classes
       Component

385. #### def setTabSize(arg0: Int): Unit

     Definition Classes
       JTextArea

386. #### def setText(arg0: String): Unit

     Definition Classes
       JTextComponent

387. #### def setToolTipText(arg0: String): Unit

     Definition Classes
       JComponent

388. #### def setTransferHandler(arg0: TransferHandler): Unit

     Definition Classes
       JComponent

389. #### def setUI(arg0: TextUI): Unit

     Definition Classes
       JTextComponent

390. #### def setUI(arg0: ComponentUI): Unit

     Attributes
       protected[javax.swing]
     Definition Classes
       JComponent

391. #### def setVerifyInputWhenFocusTarget(arg0: Boolean): Unit

     Definition Classes
       JComponent

392. #### def setVisible(arg0: Boolean): Unit

     Definition Classes
       JComponent → Component

393. #### def setWrapStyleWord(arg0: Boolean): Unit

     Definition Classes
       JTextArea

394. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

395. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       Component → AnyRef → Any

396. #### def transferFocus(): Unit

     Definition Classes
       Component

397. #### def transferFocusBackward(): Unit

     Definition Classes
       Container → Component

398. #### def transferFocusDownCycle(): Unit

     Definition Classes
       Container

399. #### def transferFocusUpCycle(): Unit

     Definition Classes
       Component

400. #### def unregisterKeyboardAction(arg0: KeyStroke): Unit

     Definition Classes
       JComponent

401. #### def update(v: AnyRef): Unit

402. #### def update(arg0: Graphics): Unit

     Definition Classes
       JComponent → Container → Component

403. #### def updateUI(): Unit

     Definition Classes
       JTextComponent → JComponent

404. #### def validate(): Unit

     Definition Classes
       Container → Component

405. #### def validateTree(): Unit

     Attributes
       protected[java.awt]
     Definition Classes
       Container

406. #### def viewToModel(arg0: Point): Int

     Definition Classes
       JTextComponent

407. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

408. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

409. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

410. #### def write(arg0: Writer): Unit

     Definition Classes
       JTextComponent
     Annotations
       @throws( classOf[java.io.IOException] )

411. #### def →[B](y: B): (TextInfoPanel, B)

     Implicit information
       This member is added by an implicit conversion from TextInfoPanel to ArrowAssoc[TextInfoPanel] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Deprecated Value Members

1. #### def action(arg0: Event, arg1: Any): Boolean

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2. #### def bounds(): Rectangle

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def countComponents(): Int

   Definition Classes
     Container
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

4. #### def deliverEvent(arg0: Event): Unit

   Definition Classes
     Container → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

5. #### def disable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

6. #### def enable(): Unit

   Definition Classes
     JComponent → Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

7. #### def enable(arg0: Boolean): Unit

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

8. #### def getNextFocusableComponent(): Component

   Definition Classes
     JComponent
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

9. #### def getPeer(): ComponentPeer

   Definition Classes
     Component
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

10. #### def gotFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

11. #### def handleEvent(arg0: Event): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

12. #### def hide(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

13. #### def insets(): Insets

    Definition Classes
      Container
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

14. #### def inside(arg0: Int, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

15. #### def isFocusTraversable(): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

16. #### def isManagingFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

17. #### def keyDown(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

18. #### def keyUp(arg0: Event, arg1: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

19. #### def layout(): Unit

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

20. #### def locate(arg0: Int, arg1: Int): Component

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

21. #### def location(): Point

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

22. #### def lostFocus(arg0: Event, arg1: Any): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

23. #### def minimumSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

24. #### def mouseDown(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

25. #### def mouseDrag(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

26. #### def mouseEnter(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

27. #### def mouseExit(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

28. #### def mouseMove(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

29. #### def mouseUp(arg0: Event, arg1: Int, arg2: Int): Boolean

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

30. #### def move(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

31. #### def nextFocus(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

32. #### def postEvent(arg0: Event): Boolean

    Definition Classes
      Component → MenuContainer
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

33. #### def preferredSize(): Dimension

    Definition Classes
      Container → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

34. #### def requestDefaultFocus(): Boolean

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

35. #### def reshape(arg0: Int, arg1: Int, arg2: Int, arg3: Int): Unit

    Definition Classes
      JComponent → Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

36. #### def resize(arg0: Dimension): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

37. #### def resize(arg0: Int, arg1: Int): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

38. #### def setNextFocusableComponent(arg0: Component): Unit

    Definition Classes
      JComponent
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

39. #### def show(arg0: Boolean): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

40. #### def show(): Unit

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

41. #### def size(): Dimension

    Definition Classes
      Component
    Annotations
      @Deprecated @deprecated
    Deprecated

      (Since version ) see corresponding Javadoc for more information.

### Inherited from JTextArea

### Inherited from JTextComponent

### Inherited from Accessible

### Inherited from Scrollable

### Inherited from JComponent

### Inherited from HasGetTransferHandler

### Inherited from Container

### Inherited from Component

### Inherited from java.io.Serializable

### Inherited from MenuContainer

### Inherited from ImageObserver

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TextInfoPanel to any2stringadd[TextInfoPanel]

### Inherited by implicit conversion StringFormat from TextInfoPanel to StringFormat[TextInfoPanel]

### Inherited by implicit conversion Ensuring from TextInfoPanel to Ensuring[TextInfoPanel]

### Inherited by implicit conversion ArrowAssoc from TextInfoPanel to ArrowAssoc[TextInfoPanel]

### Ungrouped